﻿<%--<%@ Import Namespace="Infragistics.Web.Mvc" %>--%>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="PivotViewer.aspx.cs" Inherits="TestPivotViewMVC.PivotViewer" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>PivotViewer</title>
    <!-- Ignite UI Combined CSS files -->
    <link href="Content/IG/themes/infragistics/infragistics.theme.css" rel="stylesheet" type="text/css" />
    <link href="Content/IG/structure/infragistics.css" rel="stylesheet" type="text/css" />
    <%--<link href="Content/IG/structure/modules/infragistics.ui.shared.css" rel="stylesheet" type="text/css" />
    <link href="Content/IG/structure/modules/infragistics.ui.combo.css" rel="stylesheet" type="text/css" />
    <link href="Content/IG/structure/modules/infragistics.ui.splitter.css" rel="stylesheet" type="text/css" />
    <link href="Content/IG/structure/modules/infragistics.ui.tree.css" rel="stylesheet" type="text/css" />
    <link href="Content/IG/structure/modules/infragistics.ui.grid.css" rel="stylesheet" type="text/css" />
    <link href="Content/IG/structure/modules/infragistics.ui.pivot.css" rel="stylesheet" type="text/css" />--%>

    <!-- External JavaScript files -->
    <script src="Scripts/json2.js" type="text/javascript"></script>
    <script src="Scripts/modernizr.min.js" type="text/javascript"></script>
    <%--<script src="Scripts/jquery-1.7.2.min.js" type="text/javascript"></script>--%>
    <%--<script src="Scripts/jquery.min.js" type="text/javascript"></script>--%>
    <%--<script src="Scripts/jquery-ui.min.js" type="text/javascript"></script>--%>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.0/jquery.min.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>

    <!-- Ignite UI Combined JavaScript files -->
    <%--<script src="Scripts/IG/infragistics.loader.js" type="text/javascript"></script>--%>
    <script src="Scripts/IG/infragistics.core.js" type="text/javascript"></script>
    <script src="Scripts/IG/infragistics.lob.js" type="text/javascript"></script>
    <%-- %><script src="Scripts/IG/infragistics.dv.js" type="text/javascript"></script>
    <script src="Scripts/IG/modules/infragistics.templating.js" type="text/javascript"></script>--%>
    
    <!-- Script nodig voor oudere IE browsers -->
    <script type="text/javascript">        
        $.support.cors = true;
    </script>
    
    <!-- Infragistics Loader initialisatie -->
    <%--<script type="text/javascript">
        $.ig.loader({
            scriptPath: "Scripts/IG",
            cssPath: "Content/IG",
            resources: "igOlapXmlaDataSource,igPivotView"
        });

        $.ig.loader(function () {
            $("#pivotView").igPivotView({
                dataSourceOptions: {
                    xmlaOptions: {
                        serverUrl: 'http://localhost/olap/msmdpump.dll',
                        cube: 'Adventure Works',
                        measureGroup: "Internet Sales"
                    },
                    rows: "[Sales Territory].[Sales Territory]",
                    columns: "[Product].[Product Categories]",
                    measures: "[Measures].[Internet Order Count]"
                }               
            });
        });

    </script>--%>
    
    <%-- When using the combined js files (infragistics.core.js and infragistics.lob.js) the infragistics loader is not neccessary --%>

    <script type="text/javascript">        
        $(function () {
            $("#pivotView").igPivotView({
                dataSourceOptions: {
                    xmlaOptions: {
                        serverUrl: 'http://localhost/olap/msmdpump.dll',
                        // you can test with the following settings as well:
                        // serverUrl: 'http://localhost/olap/msmdpump.dll',
                        // catalog: 'Adventure Works DW Standard Edition',
                        // cube: 'Adventure Works',
                        cube: 'Adventure Works',
                        measureGroup: "Internet Sales"
                    },
                    rows: "[Sales Territory].[Sales Territory]",
                    columns: "[Product].[Product Categories]",
                    measures: "[Measures].[Internet Order Count]"
                }           
            });
        });
    </script>
</head>
<body>   
    <div id="pivotView"></div>    
</body>
</html>
